{% extends 'Admin/layout.html.twig' %}


{% block title %}Admin Coupon{% endblock %}

{% block breadcrumbs %}
    <li class="breadcrumb-item">
        <a href="{{ url('admin_list_coupons') }}">Coupons</a>
    </li>
    <li class="breadcrumb-item active">Show</li>
{% endblock %}

{% block body_id 'admin_show_coupon' %}

{% block body %}


    {% for message in app.flashes('error') %}
        <div class="flash-notice alert alert-danger" role="alert">
            {{ message }}
        </div>
    {% endfor %}


    {% if coupon is defined and coupon is not empty %}


        <div class="card mb-3">
            <div class="card-body">
                <div class="float-right">
                    <a href="{{ url('admin_edit_coupon', {id:coupon.id}) }}" role="button" class="btn btn-success" tabindex="-1">Edit</a>
                </div>
            </div>
        </div>

        <div class="card mb-3">
            <div class="card-header text-white bg-primary">
                <i class="fas fa-file-word"></i>
                Coupon Detail
            </div>
            <div class="card-body">

                <table class="table table-bordered table-striped table-hover table-sm">
                    <tr>
                        <th scope="row">Code</th>
                        <td>{{ coupon.code|e }}</td>
                    </tr>
                    <tr>
                        <th scope="row">Type</th>
                        <td>{{ coupon.typeSource|trans }}</td>
                    </tr>
                    <tr>
                        <th scope="row">User</th>
                        <td>
                            {% if coupon.user is defined and coupon.user is not empty %}
                                <a href="{{ url('admin_show_user', {id:coupon.user.id}) }}" target="_blank">{{ coupon.user.username|e }}</a>
                            {% else %}
                                /
                            {% endif %}
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">Discount (%)</th>
                        <td>{{ coupon.discountPercentage }}</td>
                    </tr>
                    <tr>
                        <th scope="row">Started At</th>
                        <td>{{ coupon.startedAt is empty ? '/': coupon.startedAt }}</td>
                    </tr>
                    <tr>
                        <th scope="row">Expired At</th>
                        <td>{{ coupon.expiredAt is empty ? '/': coupon.expiredAt }}</td>
                    </tr>
                    <tr>
                        <th scope="row">Status</th>
                        <td>{{ coupon.isDisabled ? 'Disabled': 'Active' }}</td>
                    </tr>
                </table>

            </div>
        </div>

    {% else %}
        <div class="card">
            <div class="card-body">
                <p class="card-text">No coupon was found</p>
            </div>
        </div>
    {% endif %}


{% endblock %}